ApiV1ProfilesStyles
Create style profile
Authorization
bearerAuth AuthorizationBearer <token>
API token in format: bfk_
In: header
Request Body
application/json
name*string
Style name
Length
1 <= length <= 200category?|
Length
length <= 100categoryNumber?|
Length
length <= 10guidelines?|
Length
length <= 100description?|
Length
length <= 5000isDefault?boolean
ogMin?|
ogMax?|
fgMin?|
fgMax?|
ibuMin?|
ibuMax?|
srmMin?|
srmMax?|
abvMin?|
abvMax?|
Response Body
application/json
application/json
application/json
curl -X POST "https://brewforge.sh/api/v1/profiles/styles" \ -H "Content-Type: application/json" \ -d '{ "name": "American IPA" }'{
"id": "string",
"name": "American IPA",
"category": "IPA",
"categoryNumber": "21A",
"guidelines": "BJCP 2021",
"description": "string",
"isDefault": true,
"ogMin": 1.056,
"ogMax": 1.07,
"fgMin": 1.008,
"fgMax": 1.014,
"ibuMin": 40,
"ibuMax": 70,
"srmMin": 6,
"srmMax": 14,
"abvMin": 5.5,
"abvMax": 7.5,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}